/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
**********/

/*
 * A more portable version of the standard "mktemp( )" function
 */

#include "spice.h"
#include "stdio.h"
#include "mktemp.h"

#ifndef TEMPFORMAT
#define TEMPFORMAT "temp%s%d"
#endif

char *
smktemp(char *id)
{
    char	rbuf[513];
    char	*nbuf;
    int		num;


    num = getpid( );


    if (!id)
	id = "sp";

    sprintf(rbuf, TEMPFORMAT, id, num);
    nbuf = (char *) malloc(strlen(rbuf) + 1);
    strcpy(nbuf, rbuf);

    return nbuf;
}
